version: "3"
services:

  postgres:
    image: postgres:latest
    network_mode: bridge
    container_name: postgres
    volumes:
      - ~/backup/bot/database/postgres-data:/var/lib/postgresql/data
    expose:
      - 5432
    #    ports:
    #      - 5432:5432
    environment:
      - POSTGRES_PASSWORD=1234
      - POSTGRES_USER=postgres
      - POSTGRES_DB=bot_db
    restart: unless-stopped


  springbootapp:
    build:
      context: ./
      dockerfile: Dockerfile
    network_mode: bridge
    container_name: springbootapp

    volumes:
      - ~/digital/menu/backend/database/postgres-data:/app/backup/
      - ./:/app/

    restart: unless-stopped
    depends_on:
      - postgres
    links:
      - postgres

  #
#volumes:
#  postgres-data:
